package com.cm.common.plugin.pojo.util;

/**
 * 图片路径封装
 * 崔宝铖
 * 2020年10月17日15:22:18
 */
public class ImagePath {

    // 原图路径
    private String picturePath = "";

    // 缩略图路径
    private String thumbnailPath = "";

    public String getPicturePath() {
        return picturePath == null ? "" : picturePath;
    }

    public void setPicturePath(String picturePath) {
        this.picturePath = picturePath;
    }

    public String getThumbnailPath() {
        return thumbnailPath == null ? "" : thumbnailPath;
    }

    public void setThumbnailPath(String thumbnailPath) {
        this.thumbnailPath = thumbnailPath;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"picturePath\":\"")
                .append(picturePath).append('\"');
        sb.append(",\"thumbnailPath\":\"")
                .append(thumbnailPath).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
